<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::dropIfExists('stage_academy_course_videos');

        Schema::create('stage_academy_course_videos', function (Blueprint $table) {
            $table->id();
            $table->foreignId('course_id')->constrained('stage_academy_courses')->cascadeOnDelete();
            $table->string('name_ar');
            $table->string('name_en');
            $table->text('short_description_ar')->nullable();
            $table->text('short_description_en')->nullable();
            $table->string('vimeo_url');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('stage_academy_course_videos');
    }
};
